# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/event/content.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from atlas.api import post_pb2 as atlas_dot_api_dot_post__pb2
from atlas.api import comment_pb2 as atlas_dot_api_dot_comment__pb2
from atlas.api import content_info_pb2 as atlas_dot_api_dot_content__info__pb2
from atlas.api import like_pb2 as atlas_dot_api_dot_like__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/event/content.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x19\x61tlas/event/content.proto\x12\x07weclikd\x1a\x14\x61tlas/api/post.proto\x1a\x17\x61tlas/api/comment.proto\x1a\x1c\x61tlas/api/content_info.proto\x1a\x14\x61tlas/api/like.proto\x1a\x1fgoogle/protobuf/timestamp.proto\".\n\x0f\x43reatePostEvent\x12\x1b\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.Post\",\n\rEditPostEvent\x12\x1b\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.Post\"%\n\x0f\x44\x65letePostEvent\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\"\x8c\x01\n\x12\x43reateCommentEvent\x12!\n\x07\x63omment\x18\x01 \x01(\x0b\x32\x10.weclikd.Comment\x12*\n\x0eparent_comment\x18\x02 \x01(\x0b\x32\x10.weclikd.CommentH\x00\x12\x1d\n\x04post\x18\x03 \x01(\x0b\x32\r.weclikd.PostH\x00\x42\x08\n\x06parent\"5\n\x10\x45\x64itCommentEvent\x12!\n\x07\x63omment\x18\x01 \x01(\x0b\x32\x10.weclikd.Comment\"(\n\x12\x44\x65leteCommentEvent\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\"\x98\x02\n\x10LikeContentEvent\x12\x1d\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.PostH\x00\x12#\n\x07\x63omment\x18\x02 \x01(\x0b\x32\x10.weclikd.CommentH\x00\x12%\n\x04type\x18\x03 \x01(\x0e\x32\x17.weclikd.Likes.LikeType\x12+\n\x07\x63reated\x18\x04 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12/\n\x0eprev_like_type\x18\x05 \x01(\x0e\x32\x17.weclikd.Likes.LikeType\x12\x30\n\x0cprev_created\x18\x06 \x01(\x0b\x32\x1a.google.protobuf.TimestampB\t\n\x07\x43ontent\"\x80\x02\n\x17\x43reateExternalPostEvent\x12<\n\x05posts\x18\x01 \x03(\x0b\x32-.weclikd.CreateExternalPostEvent.ExternalPost\x1a\xa6\x01\n\x0c\x45xternalPost\x12\r\n\x05title\x18\x01 \x01(\t\x12\x0f\n\x07summary\x18\x02 \x01(\t\x12\x0e\n\x06topics\x18\x03 \x03(\t\x12\x1c\n\x14thumbnail_picture_id\x18\x04 \x01(\x04\x12\x0b\n\x03url\x18\x05 \x01(\t\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x06 \x01(\x04\x12\x10\n\x08icon_url\x18\x07 \x01(\t\x12\x18\n\x10unnormalized_url\x18\x08 \x01(\tb\x06proto3'
  ,
  dependencies=[atlas_dot_api_dot_post__pb2.DESCRIPTOR,atlas_dot_api_dot_comment__pb2.DESCRIPTOR,atlas_dot_api_dot_content__info__pb2.DESCRIPTOR,atlas_dot_api_dot_like__pb2.DESCRIPTOR,google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,])




_CREATEPOSTEVENT = _descriptor.Descriptor(
  name='CreatePostEvent',
  full_name='weclikd.CreatePostEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.CreatePostEvent.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=170,
  serialized_end=216,
)


_EDITPOSTEVENT = _descriptor.Descriptor(
  name='EditPostEvent',
  full_name='weclikd.EditPostEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.EditPostEvent.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=218,
  serialized_end=262,
)


_DELETEPOSTEVENT = _descriptor.Descriptor(
  name='DeletePostEvent',
  full_name='weclikd.DeletePostEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.DeletePostEvent.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=264,
  serialized_end=301,
)


_CREATECOMMENTEVENT = _descriptor.Descriptor(
  name='CreateCommentEvent',
  full_name='weclikd.CreateCommentEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='comment', full_name='weclikd.CreateCommentEvent.comment', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='parent_comment', full_name='weclikd.CreateCommentEvent.parent_comment', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.CreateCommentEvent.post', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='parent', full_name='weclikd.CreateCommentEvent.parent',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=304,
  serialized_end=444,
)


_EDITCOMMENTEVENT = _descriptor.Descriptor(
  name='EditCommentEvent',
  full_name='weclikd.EditCommentEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='comment', full_name='weclikd.EditCommentEvent.comment', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=446,
  serialized_end=499,
)


_DELETECOMMENTEVENT = _descriptor.Descriptor(
  name='DeleteCommentEvent',
  full_name='weclikd.DeleteCommentEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.DeleteCommentEvent.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=501,
  serialized_end=541,
)


_LIKECONTENTEVENT = _descriptor.Descriptor(
  name='LikeContentEvent',
  full_name='weclikd.LikeContentEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.LikeContentEvent.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='comment', full_name='weclikd.LikeContentEvent.comment', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.LikeContentEvent.type', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.LikeContentEvent.created', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='prev_like_type', full_name='weclikd.LikeContentEvent.prev_like_type', index=4,
      number=5, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='prev_created', full_name='weclikd.LikeContentEvent.prev_created', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='Content', full_name='weclikd.LikeContentEvent.Content',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=544,
  serialized_end=824,
)


_CREATEEXTERNALPOSTEVENT_EXTERNALPOST = _descriptor.Descriptor(
  name='ExternalPost',
  full_name='weclikd.CreateExternalPostEvent.ExternalPost',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.CreateExternalPostEvent.ExternalPost.title', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary', full_name='weclikd.CreateExternalPostEvent.ExternalPost.summary', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topics', full_name='weclikd.CreateExternalPostEvent.ExternalPost.topics', index=2,
      number=3, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thumbnail_picture_id', full_name='weclikd.CreateExternalPostEvent.ExternalPost.thumbnail_picture_id', index=3,
      number=4, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.CreateExternalPostEvent.ExternalPost.url', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.CreateExternalPostEvent.ExternalPost.feed_id', index=5,
      number=6, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='icon_url', full_name='weclikd.CreateExternalPostEvent.ExternalPost.icon_url', index=6,
      number=7, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='unnormalized_url', full_name='weclikd.CreateExternalPostEvent.ExternalPost.unnormalized_url', index=7,
      number=8, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=917,
  serialized_end=1083,
)

_CREATEEXTERNALPOSTEVENT = _descriptor.Descriptor(
  name='CreateExternalPostEvent',
  full_name='weclikd.CreateExternalPostEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='posts', full_name='weclikd.CreateExternalPostEvent.posts', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_CREATEEXTERNALPOSTEVENT_EXTERNALPOST, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=827,
  serialized_end=1083,
)

_CREATEPOSTEVENT.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_EDITPOSTEVENT.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_CREATECOMMENTEVENT.fields_by_name['comment'].message_type = atlas_dot_api_dot_comment__pb2._COMMENT
_CREATECOMMENTEVENT.fields_by_name['parent_comment'].message_type = atlas_dot_api_dot_comment__pb2._COMMENT
_CREATECOMMENTEVENT.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_CREATECOMMENTEVENT.oneofs_by_name['parent'].fields.append(
  _CREATECOMMENTEVENT.fields_by_name['parent_comment'])
_CREATECOMMENTEVENT.fields_by_name['parent_comment'].containing_oneof = _CREATECOMMENTEVENT.oneofs_by_name['parent']
_CREATECOMMENTEVENT.oneofs_by_name['parent'].fields.append(
  _CREATECOMMENTEVENT.fields_by_name['post'])
_CREATECOMMENTEVENT.fields_by_name['post'].containing_oneof = _CREATECOMMENTEVENT.oneofs_by_name['parent']
_EDITCOMMENTEVENT.fields_by_name['comment'].message_type = atlas_dot_api_dot_comment__pb2._COMMENT
_LIKECONTENTEVENT.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_LIKECONTENTEVENT.fields_by_name['comment'].message_type = atlas_dot_api_dot_comment__pb2._COMMENT
_LIKECONTENTEVENT.fields_by_name['type'].enum_type = atlas_dot_api_dot_like__pb2._LIKES_LIKETYPE
_LIKECONTENTEVENT.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_LIKECONTENTEVENT.fields_by_name['prev_like_type'].enum_type = atlas_dot_api_dot_like__pb2._LIKES_LIKETYPE
_LIKECONTENTEVENT.fields_by_name['prev_created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_LIKECONTENTEVENT.oneofs_by_name['Content'].fields.append(
  _LIKECONTENTEVENT.fields_by_name['post'])
_LIKECONTENTEVENT.fields_by_name['post'].containing_oneof = _LIKECONTENTEVENT.oneofs_by_name['Content']
_LIKECONTENTEVENT.oneofs_by_name['Content'].fields.append(
  _LIKECONTENTEVENT.fields_by_name['comment'])
_LIKECONTENTEVENT.fields_by_name['comment'].containing_oneof = _LIKECONTENTEVENT.oneofs_by_name['Content']
_CREATEEXTERNALPOSTEVENT_EXTERNALPOST.containing_type = _CREATEEXTERNALPOSTEVENT
_CREATEEXTERNALPOSTEVENT.fields_by_name['posts'].message_type = _CREATEEXTERNALPOSTEVENT_EXTERNALPOST
DESCRIPTOR.message_types_by_name['CreatePostEvent'] = _CREATEPOSTEVENT
DESCRIPTOR.message_types_by_name['EditPostEvent'] = _EDITPOSTEVENT
DESCRIPTOR.message_types_by_name['DeletePostEvent'] = _DELETEPOSTEVENT
DESCRIPTOR.message_types_by_name['CreateCommentEvent'] = _CREATECOMMENTEVENT
DESCRIPTOR.message_types_by_name['EditCommentEvent'] = _EDITCOMMENTEVENT
DESCRIPTOR.message_types_by_name['DeleteCommentEvent'] = _DELETECOMMENTEVENT
DESCRIPTOR.message_types_by_name['LikeContentEvent'] = _LIKECONTENTEVENT
DESCRIPTOR.message_types_by_name['CreateExternalPostEvent'] = _CREATEEXTERNALPOSTEVENT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreatePostEvent = _reflection.GeneratedProtocolMessageType('CreatePostEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATEPOSTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreatePostEvent)
  })
_sym_db.RegisterMessage(CreatePostEvent)

EditPostEvent = _reflection.GeneratedProtocolMessageType('EditPostEvent', (_message.Message,), {
  'DESCRIPTOR' : _EDITPOSTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditPostEvent)
  })
_sym_db.RegisterMessage(EditPostEvent)

DeletePostEvent = _reflection.GeneratedProtocolMessageType('DeletePostEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETEPOSTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeletePostEvent)
  })
_sym_db.RegisterMessage(DeletePostEvent)

CreateCommentEvent = _reflection.GeneratedProtocolMessageType('CreateCommentEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATECOMMENTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateCommentEvent)
  })
_sym_db.RegisterMessage(CreateCommentEvent)

EditCommentEvent = _reflection.GeneratedProtocolMessageType('EditCommentEvent', (_message.Message,), {
  'DESCRIPTOR' : _EDITCOMMENTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditCommentEvent)
  })
_sym_db.RegisterMessage(EditCommentEvent)

DeleteCommentEvent = _reflection.GeneratedProtocolMessageType('DeleteCommentEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETECOMMENTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteCommentEvent)
  })
_sym_db.RegisterMessage(DeleteCommentEvent)

LikeContentEvent = _reflection.GeneratedProtocolMessageType('LikeContentEvent', (_message.Message,), {
  'DESCRIPTOR' : _LIKECONTENTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.LikeContentEvent)
  })
_sym_db.RegisterMessage(LikeContentEvent)

CreateExternalPostEvent = _reflection.GeneratedProtocolMessageType('CreateExternalPostEvent', (_message.Message,), {

  'ExternalPost' : _reflection.GeneratedProtocolMessageType('ExternalPost', (_message.Message,), {
    'DESCRIPTOR' : _CREATEEXTERNALPOSTEVENT_EXTERNALPOST,
    '__module__' : 'atlas.event.content_pb2'
    # @@protoc_insertion_point(class_scope:weclikd.CreateExternalPostEvent.ExternalPost)
    })
  ,
  'DESCRIPTOR' : _CREATEEXTERNALPOSTEVENT,
  '__module__' : 'atlas.event.content_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateExternalPostEvent)
  })
_sym_db.RegisterMessage(CreateExternalPostEvent)
_sym_db.RegisterMessage(CreateExternalPostEvent.ExternalPost)


# @@protoc_insertion_point(module_scope)
